address {
  font-style: normal;
}

button {
  border: 0;
  color: inherit;
  cursor: pointer;
  font: inherit;
}

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

legend {
  font-weight: 600;
  margin-block-end: 0.5em;
  padding: 0;
}

input {
  border: 0;
  color: inherit;
  font: inherit;
}

input[type="radio"] {
  accent-color: hsl(345deg 100% 47%);
}

table {
  border-collapse: collapse;
  background: #4b2497;
  inline-size: 80%;
  margin-left: auto;
  margin-right: auto;
  padding: 10px;
  border-radius: 5px !important;
}

h3, h4, h5 {
  text-align: center;
  font-family: Roboto;
}

tbody {
  color: #28282B;
}

td {
  padding-block: 0.125em;
}

tfoot {
  font-weight: 400;
  border-radius: 5px;
}

tfoot td {
    background: #4b2497;
    color: #fff;
    border: none;
    font-size: 1em;
    padding: 20px;
    padding-left: 25px;
    padding-right: 25px;
    border-radius: 5px;
}

.align {
  display: grid;
  place-items: center;
}

.card {
  border-radius: 1em;
  background-color: var(--color-primary);
  color: #fff;
  padding: 1em;
}

.form {
  display: grid;
  gap: 2em;
}

.form__radios {
  display: grid;
  gap: 1em;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.form__radio {
  align-items: center;
  background-color: #fbf6f7;
  border: 2.5px solid hsl(345deg 100% 47%);
  color: #4b2497;
  cursor: pointer;
  font-size: 17px;
  border-radius: 1em;
  box-shadow: 0 0 1em rgba(75, 36, 151, 0.5);
  display: flex;
  padding: 1em;
}

.form__radio label {
  align-items: center;
  display: flex;
  flex: 1;
  gap: 1em;
  font-size: 1.2em; 
  margin-left: 25%; 
  gap: 0.5em;
}

.icon {
  block-size: 2em;
  display: inline-block;
  fill: currentColor;
  inline-size: 2em;
  vertical-align: middle;
}

.flex-center {
  width: max-content;
  margin-left: auto;
  margin-right: auto;
}

.iphone {
  background-color: #fbf6f7;
  background-image: linear-gradient(to bottom, #fbf6f7, #fff);
  border-radius: 2em;
  margin-bottom: 2em;
  margin-left: auto;
  margin-right: auto;
  width: 60%;
  height: auto;
  box-shadow: rgba(73, 33, 148, 0.17) 0px -23px 25px 0px inset, rgba(73, 33, 148, 0.15) 0px -3px 3px 0px inset, rgba(73, 33, 148, 0.1) 0px -3px 3px 0px inset, rgba(73, 33, 148, 0.06) 0px 2px 1px,rgba(73, 33, 148, 0.09) 0px 3px 1px, rgba(73, 33, 148, 0.09) 0px 4px 2px inset;
  padding: 2em;
  padding-bottom: 3em;
}

.bg-custom {
  box-shadow: rgba(73, 33, 148, 0.17) 0px -23px 25px 0px inset, rgba(73, 33, 148, 0.15) 0px -3px 3px 0px inset, rgba(73, 33, 148, 0.1) 0px -3px 3px 0px inset, rgba(73, 33, 148, 0.06) 0px 2px 1px,rgba(73, 33, 148, 0.09) 0px 3px 1px, rgba(73, 33, 148, 0.09) 0px 4px 2px inset;
  padding: 1em;
  font-size: 1em;
  margin-left: auto;
  margin-right: auto;
  width: max-content;
  border-radius: 0.65em;
}

.button {
   margin-left: auto;
   margin-right: auto; 
   width: max-content;
}

.secure {
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3em;
}

.pushable {
	position: relative;
	border: none;
	background: transparent;
	padding: 0;
	cursor: pointer;
	outline-offset: 4px;
	transition: filter 250ms;
}

.shadow {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: 12px;
	background: hsl(0deg 0% 0% / 0.25);
	will-change: transform;
	transform: translateY(3px);
	transition:
		transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.edge {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: 12px;
	background: linear-gradient(to left,
			hsl(340deg 100% 16%) 0%,
			hsl(340deg 100% 32%) 8%,
			hsl(340deg 100% 32%) 92%,
			hsl(340deg 100% 16%) 100%);
}

.front {
	display: block;
	position: relative;
	padding: 12px 42px;
	border-radius: 12px;
	font-size: 1.25rem;
	font-weight: bold;
	color: white;
	background: hsl(345deg 100% 47%);
	will-change: transform;
	transform: translateY(-4px);
	transition:
		transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.pushable:hover {
	filter: brightness(110%);
}

.pushable:hover .front {
	transform: translateY(-6px);
	transition:
		transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.pushable:active .front {
	transform: translateY(-2px);
	transition: transform 34ms;
}

.pushable:hover .shadow {
	transform: translateY(5px);
	transition:
		transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.pushable:active .shadow {
	transform: translateY(1px);
	transition: transform 34ms;
}

.pushable:focus:not(:focus-visible) {
	outline: none;
}


@media screen and (max-width: 991px){
    .iphone {
        width: 90%;
        padding: 1em;
        padding-top: 2em;
        padding-bottom: 2em;
        margin-left: auto;
        margin-right: auto;
    } 

    .form__radios {
        width: 90%;
    }
    .form__radio label {
        align-items: center;
        display: flex;
        flex: 1;
        gap: 1em;
        font-size: 1em; 
        margin-left: 5%; 
        gap: 0.5em;
    }

    table {
        border-collapse: collapse;
        inline-size: 80%;
        margin-left: auto;
        margin-right: auto;
    }

}